import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useUserAppearance() {
  return useQuery({
    queryKey: ['user', 'appearance'],
    queryFn: () => UserService.userGetAppearance().then((r) => r.data),
    staleTime: 1000 * 60 * 5,
  });
}
